<?php
class ClientesModel extends Query{
    private $tipoDocumento,$documentoid,$complementoid,$razon_social,$cliente_email,$cliente_celular,$id_cliente,$estado;
    public function __construct()
    {
        parent::__construct();
        
    }

    public function getClientes()
    {
        $sql = "select * from clientes ";
        $data = $this->selectAll($sql);
        return $data;
    }

    
    public function registrarCliente(int $tipoDocumento,string $documentoid,string $complementoid,string $razon_social,string $cliente_email, int $cliente_celular){
        $this->tipoDocumento=$tipoDocumento;
        $this->documentoid=$documentoid;
        $this->complementoid=$complementoid;
        $this->razon_social=$razon_social;
        $this->cliente_email=$cliente_email;
        $this->cliente_celular=$cliente_celular;
        
        $sql= "insert into clientes (tipoDocumento,documentoid,complementoid,razon_social,cliente_email,cliente_celular) values (?,?,?,?,?,?)";
        $datos= array($this->tipoDocumento,$this->documentoid,$this->complementoid,$this->razon_social,$this->cliente_email,$this->cliente_celular);
        $data=$this->save($sql,$datos);
        if($data==1){
            $res="ok";
        }else{
            $res="error";
        }
        return $res;
    }
    public function editarCliente(int $id){
        $sql="select * from clientes where id_cliente='$id'";
        $data=$this->select($sql);
        return $data;
    }
    public function modificarCliente(int $tipoDocumento,string $documentoid,string $complementoid,string $razon_social,string $cliente_email, int $cliente_celular, int $id_cliente){
        $this->tipoDocumento=$tipoDocumento;
        $this->documentoid=$documentoid;
        $this->complementoid=$complementoid;
        $this->razon_social=$razon_social;
        $this->cliente_email=$cliente_email;
        $this->id_cliente = $id_cliente;
        $this->cliente_celular=$cliente_celular;
        $sql = "update clientes set tipoDocumento=? , documentoid=?,complementoid=?,razon_social=?,cliente_email=?,cliente_celular=? where id_cliente=?";
        $datos= array($this->tipoDocumento,$this->documentoid,$this->complementoid,$this->razon_social,$this->cliente_email,$this->cliente_celular,$this->id_cliente);
        $data=$this->save($sql,$datos);
        if($data==1){
            $res="modificado";
        }else{
            $res="error";
        }
        return $res;
    }

    
    public function accion(int $estado , int $id){
        $this->id_cliente = $id;
        $this->estado=$estado;
        $sql = "update clientes set cliente_estado=? where id_cliente=?";
        $datos= array($this->estado, $this->id_cliente);
        $data=$this->save($sql,$datos);
        return $data;
    }
}
?>